com.rscja.deviceapi.entity

## Class InventoryModeEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.InventoryModeEntity

-     public class InventoryModeEntity
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InventoryModeEntity.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODE_EPC`
    `static int` | `MODE_EPC_RESERVED`
    `static int` | `MODE_EPC_TID`
    `static int` | `MODE_EPC_TID_USER`
    `static int` | `MODE_LED_TAG`
    `static int` | `MODE_TEMPERATURE_TAG`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMode()` 获取盘点模式(Get inventory mode)
    `int` | `getReservedLength()`
    `int` | `getReservedOffset()`
    `int` | `getUserLength()` 获取要盘点的User区长度(User area data length)
    `int` | `getUserOffset()` 获取要盘点的User区起始地址(User area start address)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODE_EPC

          public static int MODE_EPC

    - #### MODE_EPC_TID

          public static int MODE_EPC_TID

    - #### MODE_EPC_TID_USER

          public static int MODE_EPC_TID_USER

    - #### MODE_EPC_RESERVED

          public static int MODE_EPC_RESERVED

    - #### MODE_LED_TAG

          public static int MODE_LED_TAG

    - #### MODE_TEMPERATURE_TAG

          public static int MODE_TEMPERATURE_TAG

  - ### Method Detail

    - #### getMode

          public int getMode()

      获取盘点模式(Get inventory mode)
      Returns:
        0：EPC,1:EPC+TID, 2：EPC+TID+USER, 10:EPC+RESERVED

    - #### getUserLength

          public int getUserLength()

      获取要盘点的User区长度(User area data length)
      Returns:
        盘点的User区长度

    - #### getUserOffset

          public int getUserOffset()

      获取要盘点的User区起始地址(User area start address)
      Returns:
        盘点的User区起始地址

    - #### getReservedLength

          public int getReservedLength()

    - #### getReservedOffset

          public int getReservedOffset()